<?php
/* *
* Author: NetTantra
* @package         cryptocurrency-converter
*/

defined( 'ABSPATH' ) or die();
?>

<script type="text/javascript">
var ccc_option_default_from_value =  "<?php echo $this->ccc_option_default_from; ?>";
var ccc_option_default_to_value =  "<?php echo $this->ccc_option_default_to; ?>";
</script>

<?php
$calc_template = '';
$calc_template .= '<div class="nt-ccc-widget">';
$ccc_widget_title = ($override_widget_title) ? $override_widget_title : $this->ccc_options_widget_title;
if($ccc_widget_title) {
  $calc_template .= '<h3 class="ccc-title">'.esc_html__($ccc_widget_title, 'cryptocurrency-converter').'</h3>';
}
$ccc_option_amount_label = ($this->ccc_option_amount_label) ? $this->ccc_option_amount_label : 'Amount';
$ccc_option_from_label = ($this->ccc_option_from_label) ? $this->ccc_option_from_label : 'From';
$ccc_option_to_label = ($this->ccc_option_to_label) ? $this->ccc_option_to_label : 'To';
$ccc_option_result_label = ($this->ccc_option_result_label) ? $this->ccc_option_result_label : 'Result';


$calc_template .= '<p class="ccc-col">
  <label for="nt_ccc_amount">'.esc_html__($ccc_option_amount_label, 'cryptocurrency-converter' ).'</label>
  <input type="number" min="1" max="999" id="nt_ccc_amount" value="1">
</p>';

$calc_template .= '<p class="ccc-col">
<label for="nt_ccc_from">'.esc_html__($ccc_option_from_label, 'cryptocurrency-converter' ).'</label>
<select id="nt_ccc_from"></select>
</p>';

$calc_template .= '<p class="ccc-col">
<label for="nt_ccc_to">'.esc_html__($ccc_option_to_label, 'cryptocurrency-converter' ).'</label>
<select id="nt_ccc_to"></select>
</p>';
$calc_template .= '<p class="ccc-col result">
<label for="nt_ccc_result">'.esc_html__($ccc_option_result_label, 'cryptocurrency-converter' ).'</label>
<input type="text" id="nt_ccc_result" readonly placeholder="'.esc_html__($ccc_option_result_label, 'cryptocurrency-converter' ).'" value="">
</p>';

$calc_template .= '</div>';
?>
